<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="utf-8" />
    <title>Sin título. Exámenes. Páginas web HTML y hojas de estilo CSS. Bartolomé Sintes Marco</title>
    <style type="text/css">
        table{
            border: 3px solid black;
        }
        
        table th{
            text-align: center;
        }
        
        table td{
            padding: 0.5em;
            text-align: justify;
        }
        
        address.cita{
            margin-left: 2.2em;
        }
        
    </style>
  </head>

  <body>
    <h1>El software libre</h1>

    <h2>La definición de software libre</h2>

    <p>En 1984, Richard Stallman definió el concepto de software libre. Un programa es libre si la licencia del programa concede al usuario cuatro libertades, sin ningún tipo de restricción:</p>

    <ul>
        <li>La libertad de ejecutar el programa.</li>
        <li>La libertad de modificar el programa.</li>
        <li>La libertad de redistribuir copias del programa original.</li>
        <li>La libertad de distribuir copias de las versiones modificadas.</li>
    </ul>

    <p>Lógicamente, para poder estudiar y modificar un programa se necesita tener acceso al código fuente del programa. Cualquier licencia que concede estas libertades se considera una licencia libre, por lo que existen muchas licencias libres, algunas incompatibles.</p>
      
    <h2>Ventajas e inconvenientes del software libre</h2>
    
    <table>
    
        <tr>
            <th>Ventajas</th>
            <th>Inconvenientes</th>
        </tr>
        <tr>
            <td>Publicar software con licencias libres es un acto de generosidad que se puede explicar por muchos motivos, éticos, técnicos o comerciales. Quizás la característica más importante del software libre es que permite la colaboración entre diferentes individuos, empresas o instituciones, que contribuyen de acuerdo con sus intereses y posiblidades.</td>
            <td>Un factor que puede impedir que alguien publique software libre es que otros puedan modificar el programa, cambiar su licencia y convertirlo en software no libre, es decir, aprovecharse del trabajo de otros sin dar nada a cambio. Consciente de este problema y para favorecer el espíritu de colaboración, Richard Stallman ideó también el concepto de copyleft.</td>
        </tr>
    
   </table>
    

    
    <h2>El copyleft</h2>

    <p>Una licencia libre es una licencia con copyleft cuando obliga a quien modifica un programa a publicar las modificaciones bajo la misma licencia con copyleft.</p>

    <p>El copyleft está pensado para alentar que más software se publique como software libre. Cuando alguien publica software libre con copyleft está permitiendo que los demás usen su software, pero sabiendo que si los demás mejoran ese software, también estarán obligados a compartir las mejoras con los demás.</p>

    <p>La principal licencia libre con copyleft es la licencia GPL (General Public License). El código fuente de los programas GPL incluyen la siguiente referencia:</p>

    <address class="cita">This program is free software: you can redistribute it and/or modify it under the terms<br> 
    of the GNU General Public License as published by the Free Software Foundation,<br>
    either version 3 of the License, or (at your option) any later version.
      <br><br>
    This program is distributed in the hope that it will be useful, but WITHOUT ANY<br>
    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS<br>
    FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more<br>
    details.
      <br><br>
    You should have received a copy of the GNU General Public License
    along with this <br>
    program. If not, see <a href="http://www.gnu.org/licenses/">http://www.gnu.org/licenses/</a>.</address>

    <h2>El crecimiento del software libre</h2>

    <p>En los inicios de la informática, el software estaba estrechamente vinculado a los ordenadores y había tan pocos ordenadores que los programas se escribían prácticamente para cada usuario y para su uso exclusivo. A finales de los años 60, el aumento del número de ordenadores permitió la aparición de la industria del software, que adoptó a lo largo de los años 70 el modelo de software no libre (con pago por licencia). En los años 80, el software libre era extremadamente minoritario, muy centrado en ámbitos académicos.</p>

    <p>En los años 90, la aparición de Internet facilitó la colaboración entre individuos y pequeñas empresas, aumentando la cantidad, calidad y uso del software libre, que en gran parte se publicaba con copyleft, pese a la hostilidad de la industria del software. En el siglo XXI, cada vez se escribe más software que no va dirigido a su venta, sino acompañando a otros productos y servicios. Eso favorece que se publique cada vez más software con licencias libres, aunque las empresas tienden a elegir licencias de software sin copyleft, como la licencia MIT o la licencia Apache.</p>

    <p>Sin duda estamos viviendo la edad de oro del software libre, aunque los puristas lamenten que no todo el software tenga copyleft, la garantía de que no haya vuelta atrás en la libertad.</p>

    <address>Autor: Bartolomé Sintes Marco<br>
    Adaptado por: Andrés Marina Díaz<br>
    Última modificación: 25 de noviembre de 2016</address>
      
  </body>
</html>
